Package dev.plex.listener.impl

# Class ChatListener.PlexChatRenderer

java.lang.Object
dev.plex.listener.impl.ChatListener.PlexChatRenderer

All Implemented Interfaces:
  `io.papermc.paper.chat.ChatRenderer`

Enclosing class:
  ChatListener

public static class ChatListener.PlexChatRenderer extends Object implements io.papermc.paper.chat.ChatRenderer

## Nested Class Summary

## Nested classes/interfaces inherited from interface io.papermc.paper.chat.ChatRenderer

`io.papermc.paper.chat.ChatRenderer.Default, io.papermc.paper.chat.ChatRenderer.ViewerUnaware`

## Field Summary

Fields
Modifier and Type
Field
Description
`Supplier<net.kyori.adventure.text.Component>`
`before`
`boolean`
`hasPrefix`
`net.kyori.adventure.text.Component`
`prefix`

## Constructor Summary

Constructors
Constructor
Description
`PlexChatRenderer()`

## Method Summary

Modifier and Type
Method
Description
`@NotNull net.kyori.adventure.text.Component`
`render(@NotNull org.bukkit.entity.Player source, @NotNull net.kyori.adventure.text.Component sourceDisplayName, @NotNull net.kyori.adventure.text.Component message, @NotNull net.kyori.adventure.audience.Audience viewer)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### hasPrefix

public boolean hasPrefix

### prefix

public net.kyori.adventure.text.Component prefix

### before

public Supplier<net.kyori.adventure.text.Component> before

## Constructor Details

### PlexChatRenderer

public PlexChatRenderer()

## Method Details

### render

@NotNull public @NotNull net.kyori.adventure.text.Component render(@NotNull @NotNull org.bukkit.entity.Player source, @NotNull @NotNull net.kyori.adventure.text.Component sourceDisplayName, @NotNull @NotNull net.kyori.adventure.text.Component message, @NotNull @NotNull net.kyori.adventure.audience.Audience viewer)

Specified by:
  `render` in interface `io.papermc.paper.chat.ChatRenderer`